<template>
  <div
    v-if="$store.state.showIzneoCookieBanner && $i18n.locale !== 'fr'"
    class="cookies-banner active"
  >
    <div class="cookies-banner_wrapper">
      <p class="cookies-banner_text">
        {{ $t('cookiebanner.header_banner_cookies_text') }}
        <a
          :href="docUrl"
          class="cookies-banner_info"
          target="_blank"
          rel="noopener"
          >{{ $t('common.find_out_more') }}</a
        >
      </p>
      <button
        class="cookies-banner_btn"
        data-cookie-key="izneo_cookie_banner"
        @click="hideCookieBanner()"
      >
        OK
      </button>
    </div>
  </div>
</template>

<script>
export default {
  name: 'CookieBanner',
  computed: {
    docUrl() {
      if (this.$i18n.locale === 'nl')
        return `${this.$config.izneoUrl}/${this.$i18n.locale}/legal-notice-nl`
      else return `${this.$config.izneoUrl}/${this.$i18n.locale}/cgvcgu`
    }
  },
  methods: {
    hideCookieBanner() {
      this.$store.dispatch('hideCookieBanner')
    }
  }
}
</script>
